<?php


return  
    [
        'model' => [
            'model' => \Litecms\Location\Models\City::class,
            'table' => 'litecms_location_cities',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'country_id',  'country_code'],
            'translatables' => [],
            'upload_folder' => 'location/city',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'location::city.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "country_id" => [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'location::city.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            "country_code" => [
                "key" => "country_code", 
                "type" => "text", 
                "label" => 'location::city.label.country_code', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::city.label.name',
                "placeholder" => 'location::city.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::city.label.country_id',
                "placeholder" => 'location::city.placeholder.country_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country_code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::city.label.country_code',
                "placeholder" => 'location::city.placeholder.country_code',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'location/city/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'location/city/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'location/city',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'location/city',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'location/city',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'location/city',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'location::city.label.created_at',
            'name' => 'location::city.label.name',
            'status' => 'location::city.label.status',
        ],
        'groups' => [
            'main' => 'location::city.groups.main',
            'details' => 'location::city.groups.details',
            'images' => 'location::city.groups.images',
            'settings' => 'location::city.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Location',
            'module' => 'City',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'location::city.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['location.city.copy', 'location.city.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'location::city.label.count',
                        "placeholder" => 'location::city.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'location::city.label.comment',
                        "placeholder" => 'location::city.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'location::city.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
