<?php


return  
    [
        'model' => [
            'model' => \Litecms\Location\Models\Country::class,
            'table' => 'litecms_location_countries',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['code',  'name',  'continent',  'region',  'surfacearea',  'indepyear',  'population',  'life_expectancy',  'gnp',  'gnpoid',  'local_name',  'government_form',  'head_of_state',  'capital',  'code2'],
            'translatables' => [],
            'upload_folder' => 'location/country',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "code" => [
                "key" => "code", 
                "type" => "text", 
                "label" => 'location::country.label.code', 
                'sort' => true,
                'roles' => [],
            ],
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'location::country.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "continent" => [
                "key" => "continent", 
                "type" => "text", 
                "label" => 'location::country.label.continent', 
                'sort' => true,
                'roles' => [],
            ],
            "region" => [
                "key" => "region", 
                "type" => "text", 
                "label" => 'location::country.label.region', 
                'sort' => true,
                'roles' => [],
            ],
            "surfacearea" => [
                "key" => "surfacearea", 
                "type" => "text", 
                "label" => 'location::country.label.surfacearea', 
                'sort' => true,
                'roles' => [],
            ],
            "indepyear" => [
                "key" => "indepyear", 
                "type" => "text", 
                "label" => 'location::country.label.indepyear', 
                'sort' => true,
                'roles' => [],
            ],
            "population" => [
                "key" => "population", 
                "type" => "text", 
                "label" => 'location::country.label.population', 
                'sort' => true,
                'roles' => [],
            ],
            "life_expectancy" => [
                "key" => "life_expectancy", 
                "type" => "text", 
                "label" => 'location::country.label.life_expectancy', 
                'sort' => true,
                'roles' => [],
            ],
            "gnp" => [
                "key" => "gnp", 
                "type" => "text", 
                "label" => 'location::country.label.gnp', 
                'sort' => true,
                'roles' => [],
            ],
            "gnpoid" => [
                "key" => "gnpoid", 
                "type" => "text", 
                "label" => 'location::country.label.gnpoid', 
                'sort' => true,
                'roles' => [],
            ],
            "local_name" => [
                "key" => "local_name", 
                "type" => "text", 
                "label" => 'location::country.label.local_name', 
                'sort' => true,
                'roles' => [],
            ],
            "government_form" => [
                "key" => "government_form", 
                "type" => "text", 
                "label" => 'location::country.label.government_form', 
                'sort' => true,
                'roles' => [],
            ],
            "head_of_state" => [
                "key" => "head_of_state", 
                "type" => "text", 
                "label" => 'location::country.label.head_of_state', 
                'sort' => true,
                'roles' => [],
            ],
            "capital" => [
                "key" => "capital", 
                "type" => "text", 
                "label" => 'location::country.label.capital', 
                'sort' => true,
                'roles' => [],
            ],
            "code2" => [
                "key" => "code2", 
                "type" => "text", 
                "label" => 'location::country.label.code2', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::country.label.code',
                "placeholder" => 'location::country.placeholder.code',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::country.label.name',
                "placeholder" => 'location::country.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'continent' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'location::country.label.continent',
                "placeholder" => 'location::country.placeholder.continent',
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'region' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::country.label.region',
                "placeholder" => 'location::country.placeholder.region',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'surfacearea' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'location::country.label.surfacearea',
                "placeholder" => 'location::country.placeholder.surfacearea',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'indepyear' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::country.label.indepyear',
                "placeholder" => 'location::country.placeholder.indepyear',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'population' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::country.label.population',
                "placeholder" => 'location::country.placeholder.population',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'life_expectancy' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'location::country.label.life_expectancy',
                "placeholder" => 'location::country.placeholder.life_expectancy',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'gnp' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'location::country.label.gnp',
                "placeholder" => 'location::country.placeholder.gnp',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'gnpoid' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'location::country.label.gnpoid',
                "placeholder" => 'location::country.placeholder.gnpoid',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'local_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::country.label.local_name',
                "placeholder" => 'location::country.placeholder.local_name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'government_form' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::country.label.government_form',
                "placeholder" => 'location::country.placeholder.government_form',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'head_of_state' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::country.label.head_of_state',
                "placeholder" => 'location::country.placeholder.head_of_state',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'capital' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::country.label.capital',
                "placeholder" => 'location::country.placeholder.capital',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'code2' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::country.label.code2',
                "placeholder" => 'location::country.placeholder.code2',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'location/country/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'location/country/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'location/country',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'location/country',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'location/country',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'location/country',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'location::country.label.created_at',
            'name' => 'location::country.label.name',
            'status' => 'location::country.label.status',
        ],
        'groups' => [
            'main' => 'location::country.groups.main',
            'details' => 'location::country.groups.details',
            'images' => 'location::country.groups.images',
            'settings' => 'location::country.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Location',
            'module' => 'Country',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'location::country.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['location.country.copy', 'location.country.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'location::country.label.count',
                        "placeholder" => 'location::country.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'location::country.label.comment',
                        "placeholder" => 'location::country.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'location::country.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
