<?php


return  
    [
        'model' => [
            'model' => \Litecms\Location\Models\Location::class,
            'table' => 'litecms_location_locations',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['country_id',  'city_id',  'name',  'name_pf',  'name_byt',  'name_dbz',  'name_hoz',  'code',  'chart_color'],
            'translatables' => [],
            'upload_folder' => 'location/location',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "country_id" => [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'location::location.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            "city_id" => [
                "key" => "city_id", 
                "type" => "text", 
                "label" => 'location::location.label.city_id', 
                'sort' => true,
                'roles' => [],
            ],
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'location::location.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "name_pf" => [
                "key" => "name_pf", 
                "type" => "text", 
                "label" => 'location::location.label.name_pf', 
                'sort' => true,
                'roles' => [],
            ],
            "name_byt" => [
                "key" => "name_byt", 
                "type" => "text", 
                "label" => 'location::location.label.name_byt', 
                'sort' => true,
                'roles' => [],
            ],
            "name_dbz" => [
                "key" => "name_dbz", 
                "type" => "text", 
                "label" => 'location::location.label.name_dbz', 
                'sort' => true,
                'roles' => [],
            ],
            "name_hoz" => [
                "key" => "name_hoz", 
                "type" => "text", 
                "label" => 'location::location.label.name_hoz', 
                'sort' => true,
                'roles' => [],
            ],
            "code" => [
                "key" => "code", 
                "type" => "text", 
                "label" => 'location::location.label.code', 
                'sort' => true,
                'roles' => [],
            ],
            "chart_color" => [
                "key" => "chart_color", 
                "type" => "text", 
                "label" => 'location::location.label.chart_color', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'country_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::location.label.country_id',
                "placeholder" => 'location::location.placeholder.country_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'location::location.label.city_id',
                "placeholder" => 'location::location.placeholder.city_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name',
                "placeholder" => 'location::location.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name_pf' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name_pf',
                "placeholder" => 'location::location.placeholder.name_pf',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name_byt' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name_byt',
                "placeholder" => 'location::location.placeholder.name_byt',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name_dbz' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name_dbz',
                "placeholder" => 'location::location.placeholder.name_dbz',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name_hoz' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.name_hoz',
                "placeholder" => 'location::location.placeholder.name_hoz',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.code',
                "placeholder" => 'location::location.placeholder.code',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'chart_color' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'location::location.label.chart_color',
                "placeholder" => 'location::location.placeholder.chart_color',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'location/location/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'location/location/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'location/location',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'location/location',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'location/location',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'location/location',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'location::location.label.created_at',
            'name' => 'location::location.label.name',
            'status' => 'location::location.label.status',
        ],
        'groups' => [
            'main' => 'location::location.groups.main',
            'details' => 'location::location.groups.details',
            'images' => 'location::location.groups.images',
            'settings' => 'location::location.groups.settings',
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Location',
            'module' => 'Location',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'location::location.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['location.location.copy', 'location.location.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'location::location.label.count',
                        "placeholder" => 'location::location.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'location::location.label.comment',
                        "placeholder" => 'location::location.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'location::location.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
