<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsLocationCountriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_location_countries
         */
        Schema::create('litecms_location_countries', function ($table) {
            $table->increments('id');
            $table->char('code', 3)->nullable();
            $table->char('name', 52)->nullable();
            $table->enum('continent', [])->nullable();
            $table->char('region', 26)->nullable();
            $table->float('surfacearea')->nullable();
            $table->smallInteger('indepyear')->nullable();
            $table->integer('population')->nullable();
            $table->float('life_expectancy')->nullable();
            $table->float('gnp')->nullable();
            $table->float('gnpoid')->nullable();
            $table->char('local_name', 45)->nullable();
            $table->char('government_form', 45)->nullable();
            $table->char('head_of_state', 60)->nullable();
            $table->integer('capital')->nullable();
            $table->char('code2', 2)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_location_countries');
    }
}
