<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsLocationPropertiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_location_properties
         */
        Schema::create('litecms_location_properties', function ($table) {
            $table->increments('id');
            $table->integer('country_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('developer_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('name_pf', 200)->nullable();
            $table->string('name_byt', 200)->nullable();
            $table->string('name_dbz', 200)->nullable();
            $table->string('name_hoz', 200)->nullable();
            $table->string('code', 10)->nullable();
            $table->string('address', 350)->nullable();
            $table->decimal('lat', 11,8)->nullable();
            $table->decimal('lng', 11,8)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_location_properties');
    }
}
