<?php

namespace Litecms\Location\Seeders;

use DB;
use Illuminate\Database\Seeder;

class PropertyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_location_properties')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.location.property.view',
                'name'      => 'View Property',
            ],
            [
                'slug'      => 'litecms.location.property.create',
                'name'      => 'Create Property',
            ],
            [
                'slug'      => 'litecms.location.property.edit',
                'name'      => 'Update Property',
            ],
            [
                'slug'      => 'litecms.location.property.delete',
                'name'      => 'Delete Property',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/location/property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/location/property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Location',
                'module'    => 'Property',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.location.property.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
