<?php

namespace Litecms\Location\Seeders;

use DB;
use Illuminate\Database\Seeder;

class SublocationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_location_sublocations')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.location.sublocation.view',
                'name'      => 'View Sublocation',
            ],
            [
                'slug'      => 'litecms.location.sublocation.create',
                'name'      => 'Create Sublocation',
            ],
            [
                'slug'      => 'litecms.location.sublocation.edit',
                'name'      => 'Update Sublocation',
            ],
            [
                'slug'      => 'litecms.location.sublocation.delete',
                'name'      => 'Delete Sublocation',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/location/sublocation',
                'name'        => 'Sublocation',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/location/sublocation',
                'name'        => 'Sublocation',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'sublocation',
                'name'        => 'Sublocation',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Location',
                'module'    => 'Sublocation',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.location.sublocation.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
