<?php

namespace Litecms\Location\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Location\Http\Requests\CityActionsRequest;
use Litecms\Location\Models\CityActions;

/**
 * Admin web controller class.
 */
class CityActionsController extends BaseController
{

    /**
     * Action controller function for city.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CityActionsRequest $request, $action)
    {
        try {
            $city = CityActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('location::city.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('location/city/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('location/city/' . $action))
                ->redirect();
        }
    }
}
