<?php

namespace Litecms\Location\Policies;

use Litecms\Location\Models\City;
use Litepie\User\Interfaces\UserPolicyInterface;

trait CityAction
{

    /**
     * Determine if the given user can approve the given city.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, City $city)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('location.city.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given city.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, City $city) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('location.city.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given city.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, City $city)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('location.city.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given city.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, City $city)
    {


        if ($authUser->canDo('location.city.action.delete')) {
            return true;
        }

        return false;
    }


}
