<?php

namespace Litecms\Location\Policies;

use Litecms\Location\Models\Sublocation;
use Litepie\User\Interfaces\UserPolicyInterface;

trait SublocationAction
{

    /**
     * Determine if the given user can approve the given sublocation.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Sublocation $sublocation)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('location.sublocation.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given sublocation.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Sublocation $sublocation) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('location.sublocation.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given sublocation.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Sublocation $sublocation)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('location.sublocation.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given sublocation.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Sublocation $sublocation)
    {


        if ($authUser->canDo('location.sublocation.action.delete')) {
            return true;
        }

        return false;
    }


}
