<?php

namespace Litecms\Location\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Sublocation policy
        \Litecms\Location\Repositories\Eloquent\SublocationRepository::class 
        => \Litecms\Location\Policies\SublocationPolicy::class,// Bind Property policy
        \Litecms\Location\Repositories\Eloquent\PropertyRepository::class 
        => \Litecms\Location\Policies\PropertyPolicy::class,// Bind Location policy
        \Litecms\Location\Repositories\Eloquent\LocationRepository::class 
        => \Litecms\Location\Policies\LocationPolicy::class,// Bind Country policy
        \Litecms\Location\Repositories\Eloquent\CountryRepository::class 
        => \Litecms\Location\Policies\CountryPolicy::class,// Bind City policy
        \Litecms\Location\Repositories\Eloquent\CityRepository::class 
        => \Litecms\Location\Policies\CityPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
